Bug 1859753 - [4.5] Excessive installplans require manual cleanup
Summary: [4.5] Excessive installplans require manual cleanup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Evan Cordell
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1859178
Blocks: 1859755
TreeView+ depends on / blocked
 
Reported: 2020-07-22 20:50 UTC by Evan Cordell
Modified: 2020-07-31 08:17 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1859178
: 1859755 (view as bug list)
Environment:
Last Closed: 2020-07-30 18:56:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1674 None closed Bug 1859753: fix(installplans): GC older installplans 2020-09-23 07:38:20 UTC
Red Hat Product Errata RHBA-2020:3028 None None None 2020-07-30 18:57:26 UTC

Comment 2 Bruno Andrade 2020-07-23 20:18:30 UTC
Provisioned a cluster with 4.5.0-0.nightly-2020-07-17-173231 payload, which don't have the fix of bz 1855706. After installing OCS Operator it generated a buch ip installplans as shown below:

oc get ip -n openshift-storage  
NAME            CSV                             APPROVAL   APPROVED
install-42z42   lib-bucket-provisioner.v2.0.0   Manual     true
install-7976g   lib-bucket-provisioner.v2.0.0   Manual     false
install-8wp54   lib-bucket-provisioner.v2.0.0   Manual     false
install-hh8q7   lib-bucket-provisioner.v2.0.0   Manual     false
install-p7pht   ocs-operator.v4.4.1             Manual     true
install-xdzt6   lib-bucket-provisioner.v2.0.0   Manual     false
install-xttm5   lib-bucket-provisioner.v2.0.0   Manual     false

Upgraded to 4.5.0-0.ci-2020-07-23-181547, which has the GC commit, it removed several InstallPlans, as shown below:

oc get co | grep operator                                               1 ↵
config-operator                            4.5.0-0.ci-2020-07-23-181547        True        False         False      45m
operator-lifecycle-manager                 4.5.0-0.ci-2020-07-23-181547        True        False         False      51m
operator-lifecycle-manager-catalog         4.5.0-0.ci-2020-07-23-181547        True        False         False      52m
operator-lifecycle-manager-packageserver   4.5.0-0.ci-2020-07-23-181547        True        False         False      10m


oc get ip -n openshift-storage
NAME            CSV                             APPROVAL   APPROVED
install-7976g   lib-bucket-provisioner.v2.0.0   Manual     false
install-8wp54   lib-bucket-provisioner.v2.0.0   Manual     false
install-hh8q7   lib-bucket-provisioner.v2.0.0   Manual     false
install-xdzt6   lib-bucket-provisioner.v2.0.0   Manual     false
install-xttm5   lib-bucket-provisioner.v2.0.0   Manual     false


Marking as VERIFIED

Comment 5 errata-xmlrpc 2020-07-30 18:56:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3028


Note You need to log in before you can comment on or make changes to this bug.